﻿:root {
    --dfds-color-primary: #2369F5;
    --dfds-color-900: #002B45;
    --dfds-color-grey-50: #F6F9FA;
    --dfds-color-headers: #F2F6F8;
}

@font-face {
    font-family: "DFDSSans";
    src: url('./fonts/DFDSSans-Regular.woff2') format('woff2');
}

@font-face {
    font-family: "DFDSSansMedium";
    src: url('./fonts/DFDSSans-Medium.woff2') format('woff2');
}

@font-face {
    font-family: "DFDSSansBold";
    src: url('./fonts/DFDSSans-Bold.woff2') format('woff2');
}

.mud-typography-h1,
.mud-typography-h2,
.mud-typography-h3,
.mud-typography-h4,
.mud-typography-h5,
.mud-typography-h6 {
    color: var(--dfds-color-900);
}

.dfds-loader {
    display: flex;
    width: 150px;
    height: 150px;
    align-items: center;
    justify-items: center;
    justify-self: center;
    z-index: 300;
    color: inherit;
    background-color: white;
    border-radius: 100%;
    overflow: hidden;
}

.dfds-loader .ship {
    display: block;
    margin-top: -40px;
    margin-left: -40px;
    -webkit-animation: bop .58s ease-in-out infinite alternate;
    animation: bop .58s ease-in-out infinite alternate;
    width: 80px;
    height: 80px;
}

.dfds-loader, .dfds-loader .ship {
    margin-top: -75px;
    margin-left: -75px;
}

.dfds-loader .ship, .dfds-loader .waves, .loading-progress-text {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateZ(0)
}

.dfds-loader .waves {
    width: 170px;
    height: 70px;
    color: inherit;
    margin-left: -70px;
    margin-top: -54px;
    -webkit-animation: sail .8s linear infinite;
    animation: sail .8s linear infinite;
    position:relative;
}

.loading-progress {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateZ(0)
}

.loading-progress-text {
    margin-left: -20px;
    margin-top: 45px;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }


@-webkit-keyframes bop {
    to {
        transform: translateY(-3px)
    }
}

@keyframes bop {
    to {
        transform: translateY(-3px)
    }
}

@-webkit-keyframes sail {
    to {
        transform: translateX(30px)
    }
}

@keyframes sail {
    to {
        transform: translateX(-30px)
    }
}

/*----------date calendar----------*/

.mud-picker-calendar-header-switch > .mud-icon-button {
    padding: 4px;
}

.mud-picker-nav-button-prev, .mud-picker-nav-button-next {
    border: 1px solid var(--mud-palette-lines-inputs);
    border-radius: 0;
}

.mud-picker-calendar .mud-day.mud-range.mud-range-start-selected, .mud-picker-calendar .mud-day.mud-range.mud-range-end-selected {
    border-radius: 0;
}

.mud-picker-calendar .mud-day {
    border-radius: 0;
}


.mud-picker-calendar .mud-day.mud-range.mud-range-selection:hover.mud-range-start-selected {
    border-radius: 0;
}

.mud-picker-calendar .mud-day.mud-range.mud-range-selection:hover:not(.mud-range-start-selected) {
    border-radius: 0;
}
/*----------Tables----------*/


.mud-table-sticky-header * .mud-table-root .mud-table-head * .mud-table-cell, 
.mud-table thead .mud-table-row {
    background-color: var(--dfds-color-900);
    color: white;
}

.mud-table-root .mud-table-head .mud-table-cell {
    color: white;
}

.mud-table-striped .mud-table-container .mud-table-root .mud-table-body .mud-table-row:nth-of-type(odd) {
    background-color: #f6f4ef;
}

.mud-table {
    box-shadow: none;
    border-color: #afb9c0;
}

.mud-table-root .mud-table-body .mud-table-cell {
    color: #002b45;
}


/*----------Drop down----------*/

.custom-dropdown {
    padding-top: 10px;
    color: #002b45;
    font-size: 1.1rem;
}

.custom-popover-class {
    margin-top: 7px; /* Add space between the select input and the dropdown */
    border-radius: 5px;
    color: #002b45;
    font-size: 1.10rem;
    box-shadow: none; /* Remove the shadow */
    border: 1px solid #afb9c0;
    max-height: 300px; /* Set a maximum height for the popover */
    overflow-y: hidden; /* Enable scrolling only for the content */
    overflow-x: hidden; /* Hide horizontal scrollbar */
}

.mud-popover .mud-list {
    max-height: inherit;
    overflow-y: auto;
}

/* CheckBox */
.mud-checkbox .mud-checkbox-input {
    background-color: none;
}

/* Change color when checkbox is checked */
.mud-checkbox-input:checked + .mud-icon-root {
    background-color: none;
}

/* Change color when checkbox is not checked */
.mud-checkbox-input:not(:checked) + .mud-icon-root {
    background-color: none;
}
@media(hover: hover)and (pointer: fine) {
    .mud-icon-button:hover, .hover\:mud-primary-hover:hover {
        background-color: none !important;
    }
}



/*----------Buttom----------*/

.mud-button-label {
    text-transform: none;
}

/*.mud-button-filled {
    color:white;
    --mud-ripple-opacity: var(--mud-ripple-opacity-secondary) !important;
    box-shadow: none;
    background-color: var(--component-button-backgroundColor-onLight-primary-default, #2369F5);
}

.mud-button-filled:hover {
    box-shadow: none;
    background-color: var(--component-button-borderColor-onLight-secondary-hover, #0A50DC)
}

.mud-button-label {
    width: 100%;
    display: inherit;
    align-items: inherit;
    justify-content: inherit;
}

.mud-button {
    border-radius: 0;
}*/

/*----------Paggination----------*/

.mud-pagination .mud-pagination-item > * {
    height: 32px;
    min-width: 32px;
    margin: 0 3px;
    padding: 0 0px;
    text-align: center;
    border-radius: 0px;
    background-color: transparent !important;
    color: #002b45;
    
}

.mud-pagination .mud-pagination-item:hover .mud-button {
    background-color: var(--component-button-backgroundColor-onLight-primary-default, #2369F5) !important;
    color: white;
}

.mud-pagination .mud-pagination-item.mud-pagination-item-selected .mud-button {
    border: 1px solid #002b45;
}

.mud-pagination .mud-icon-root.mud-svg-icon:hover {
    fill: white;
    
}

.mud-pagination .mud-icon-button:hover {
    background-color: var(--component-button-backgroundColor-onLight-primary-default, #2369F5) !important;
}

/*----------RadioGroup*----------*/

.custom-radio-group.mud-input-control div {
    display: flex;
    flex-direction: column;
    padding: 2px;
    padding-top: 0px;
    padding-bottom: 0px;
    margin-top: 0px;
    height: 30px;
}

.mud-radio-button .mud-icon-root.mud-svg-icon {
    fill: var(--component-button-backgroundColor-onLight-primary-default, #2369F5);
}

.mud-radio-input {
   height: 26px;
}


.mud-radio {
    height: 30px;
}


.mud-radio.mud-checked {
    color: red
}

.mud-radio-button .mud-radio-input {
    width: 0%;
    height: 30px;
}


.dfds-switch {
    padding: 0;

    .mud-switch-track {
        height: 24px;
        border-radius: 20px;
        background: #d1d5db;
        margin-top: -5px;
    }

    .mud-switch-base-medium.mud-switch-base {
        margin-left: 5px;
    }

    .mud-switch-span-medium.mud-switch-span {
        width: 70px;
    }

    .mud-switch-base.mud-checked {
        transform: translateX(22px);

        .mud-switch-button .mud-switch-thumb-medium {
            background-color: white;
        }
    }

        .mud-switch-base.mud-checked + .mud-switch-track {
            opacity: 1;
        }
}

@media (hover: hover) and (pointer: fine) {
    .dfds-switch .mud-switch-base:hover {
        background-color: transparent !important;
    }
}